be.fgov.ehealth.dics.protocol.v5

## Class FindCompoundingIngredientResponse

- java.lang.Object
- - be.fgov.ehealth.commons.protocol.v2.ResponseType
  - - be.fgov.ehealth.dics.protocol.v5.DicsResponseType
    - - be.fgov.ehealth.dics.protocol.v5.FindCompoundingIngredientResponse

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2023-09-11T10:32:36+02:00",
                 comments="JAXB RI v2.3.7")
      public class FindCompoundingIngredientResponse
      extends DicsResponseType
      implements Serializable

  Java class for FindCompoundingIngredientResponseType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="FindCompoundingIngredientResponseType">
         <complexContent>
           <extension base="{urn:be:fgov:ehealth:dics:protocol:v5}DicsResponseType">
             <sequence minOccurs="0">
               <element name="CompoundingIngredient" type="{urn:be:fgov:ehealth:dics:protocol:v5}ConsultCompoundingIngredientType" maxOccurs="unbounded"/>
             </sequence>
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FindCompoundingIngredientResponse()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<ConsultCompoundingIngredientType>` | `getCompoundingIngredients()` Gets the value of the compoundingIngredients property.

    - ### Methods inherited from class be.fgov.ehealth.dics.protocol.v5.DicsResponseType

      `getSamId, getSearchDate, setSamId, setSearchDate`

    - ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.ResponseType

      `getId, getInResponseTo, getIssueInstant, setId, setInResponseTo, setIssueInstant`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FindCompoundingIngredientResponse

          public FindCompoundingIngredientResponse()

  - ### Method Detail

    - #### getCompoundingIngredients

          public List<ConsultCompoundingIngredientType> getCompoundingIngredients()

      Gets the value of the compoundingIngredients property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the compoundingIngredients property.

      For example, to add a new item, do as follows:

              getCompoundingIngredients().add(newItem);

      Objects of the following type(s) are allowed in the list `ConsultCompoundingIngredientType`

Connector Packaging PERSDIETICIAN 4.4.0 API
Copyright © {inceptionYear}-2023 eHealth. All Rights Reserved.